atk.GObjectAccessible
Prev | The atk Class Reference | Next

## atk.GObjectAccessible

atk.GObjectAccessible — this object class is derived from AtkObject and can be used as a basis implementing accessible objects.

## Synopsis

    class atk.GObjectAccessible(atk.Object):
        def get_object()

    Functions

        def atk.gobject_accessible_for_object(obj)

## Ancestry

    +-- gobject.GObject
      +-- atk.Object
        +-- atk.GObjectAccessible

## atk.GObjectAccessible Properties

atk.Object Properties

## atk.GObjectAccessible Signal Prototypes

gobject.GObject Signal Prototypes

atk.Object Signal Prototypes

## Description

This object class is derived from `atk.Object`. It can be used as a basis for implementing accessible objects for `gobject.GObject` objects which are not derived from `gtk.Widget`. One example of its use is in providing an accessible object for GnomeCanvasItem in the GAIL library.

## Methods

### atk.GObjectAccessible.get_object

        def get_object()

Returns : | a `gobject.GObject` which is the object for the accessible object

Gets the `gobject.GObject` for the accessible object.

## Functions

### atk.gobject_accessible_for_object

        def atk.gobject_accessible_for_object(obj)

`obj` : | a `gobject.GObject`
Returns : | a `atk.Object` which is the accessible object for `obj`

Gets the accessible object for the specified `obj`.

Prev | Up | Next
atk.EditableText | Home | atk.Hyperlink